Bug 1619252 - SELinux prevents kpropd from mmap()-ing /var/kerberos/krb5kdc/principal.ulog file
Summary: SELinux prevents kpropd from mmap()-ing /var/kerberos/krb5kdc/principal.ulog ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.6
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 12:58 UTC by Patrik Kis
Modified: 2018-10-30 10:09 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-216.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:08:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:09:19 UTC

Description Patrik Kis 2018-08-20 12:58:59 UTC
Description of problem:

type=PROCTITLE msg=audit(08/20/2018 08:17:39.921:404) : proctitle=/usr/sbin/kpropd -r SAFETY-INSPECTOR.SECTOR7G.NUCLEAR-POWER-PLANT.SPRINGSFIELD.NET 
type=SYSCALL msg=audit(08/20/2018 08:17:39.921:404) : arch=x86_64 syscall=mmap success=no exit=EACCES(Permission denied) a0=0x0 a1=0x10000000 a2=PROT_READ|PROT_WRITE a3=MAP_SHARED items=0 ppid=1 pid=15786 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=kpropd exe=/usr/sbin/kpropd subj=system_u:system_r:kpropd_t:s0 key=(null) 
type=AVC msg=audit(08/20/2018 08:17:39.921:404) : avc:  denied  { map } for  pid=15786 comm=kpropd path=/var/kerberos/krb5kdc/principal.ulog dev="dm-0" ino=84048394 scontext=system_u:system_r:kpropd_t:s0 tcontext=system_u:object_r:krb5kdc_principal_t:s0 tclass=file permissive=0 


Version-Release number of selected component (if applicable):

selinux-policy-3.13.1-215.el7

Comment 4 errata-xmlrpc 2018-10-30 10:08:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.